CVE-2017-12588

NameCVE-2017-12588
DescriptionThe zmq3 input and output modules in rsyslog before 8.28.0 interpreted description fields as format strings, possibly allowing a format string attack with unspecified impact.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rsyslog (PTS)jessie8.4.2-1+deb8u2vulnerable
stretch8.24.0-1vulnerable
buster, sid8.36.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rsyslogsource(unstable)8.28.0-1unimportant

Notes

https://github.com/rsyslog/rsyslog/commit/062d0c671a29f7c6f7dff4a2f1f35df375bbb30b
https://github.com/rsyslog/rsyslog/pull/1565
The zmq3 input and output modules are not enabled and built in Debian

Search for package or bug name: Reporting problems